Subject: bug#39686: 25.2; Wrong behaviour of bibtex-autokey-name-change-strings

From: "Roland Winkler" <[email-masked]>
Date: Fri, 21 Feb 2020 15:03:11 -0600

On Fri Feb 21 2020 Mattias Engdegård wrote:
> In LaTeX you can't just write 'b\oeuf'; it will complain that
> '\oeuf' is undefined. You have to write 'b\oe uf' or
> 'b{\oe}uf'. Thus there is a word break at the end.

In bibtex-mode, all this is used in the context of what is supposed
to represent names and titles of books and articles.  The current
scheme has been in place for at least two decades and nobody
complained about this.  (Note that the current thread is about
something else.)  So I assume that what you are concerned about is
so rare (at least in the context of the autokey machinery) that it
is not worth the effort.

But feel free to provide a patch along these lines.  However, that
patch should certainly go into master because it modifies the
current scheme.